<?php
// AutoDirector vehicle updating functions

// ________________________________________________________
// delete selected records
function deleteRecords($delrecords = '') {

	global $db, $thisUser;

	if ($delrecords == '') $delrecords=postvar('delrecords');

	// generate list of pictures to delete
	$piclist='';
	$sql = "SELECT picturelist FROM " . SITEID . ($delrecords != '' ? " WHERE id IN ($delrecords)" : '') .';';
	if ($db->fetch($sql)) {
		while($row=$db->rowassoc()) {
			if ($row['picturelist']!='') {
				if ($piclist!='') $piclist.=",";
				$piclist.=$row['picturelist'];
			}
		}
	}

	$sql = "DELETE FROM " . SITEID . ($delrecords != '' ? " WHERE id IN ($delrecords)" : '') . ';';
	if ($db->fetch($sql)) {

		$ret=$db->rowcount;
		if ($ret==1) { $ret.=' vehicle has'; } else { $ret.=' vehicles have'; }
		$ret.=' been deleted.';

		// delete pictures
		if ($piclist!='') {
			$pics=explode(',', $piclist);
			for ($i=0; $i<sizeof($pics); $i++) {
				if (!@unlink(PICFOLDER."$pics[$i].jpg")) writeLog(SITELOG, "FAILDEL: could not delete ".PICFOLDER."$pics[$i].jpg\n");
				if (!@unlink(THUMBFOLDER."$pics[$i].jpg")) writeLog(SITELOG, "FAILDEL: could not delete ".THUMBFOLDER."$pics[$i].jpg\n");
			}
		}

		// report in log
		writeLog(SITELOG, "VEHDEL: user $thisUser->email has deleted " . ($delrecords == '' ? 'all vehicles' : "the following vehicles: $delrecords") . "\n");

	}
	else {
		$ret='No vehicles could be deleted. Please contact the administrator.';
	}

	return $ret;
}
?>